#include <iostream>
#include <vector>
#include <sstream>
using namespace std;


vector<string> ucty;
vector<int> ucty_values;
vector<string> inst;

int ucet_counter = 1000;


string createUcet(char bC)
{
	string ucet(itoa(ucet_counter++));
	ucet += "/";
	ucet += bC;
	return ucet;
}

string createIns(string ins, string ucet, double suma = -1, string ucet2 = string())
{
	sstream ss;
	ss.precision(2);
	ss << ins << " " << ucet;
	if (ucet2 == "")
	{
		if (suma != -1) ss << suma;
	}
	else ss << ucet2 << suma;
	
	ss << endl;
}

int main()
{
	string instruction;
	double suma;
	char db;
	string msg;
	do
	{
		cin >> intruction;
		if (instruction == "goodbye") break;
		if (instruction == "withdraw")
		{
			cin >> suma >> db >> msg;
			if (msg == "ok")
			{
				string ucet = createUcet('0');
				ucty.push_back(ucet);
				ucty_values.push_back(suma);
				ints.push_back(createIns(instruction, ucet, suma));
			}
			else if (msg == "insufficient funds")
			{
				string ucet = createUcet('0');
				ucty.push_back(ucet);
				ucty_values.push_back(suma - 1);
				ints.push_back(createIns(instruction, ucet, suma));
			}
			else if (msg == "no such account")
			{
				ints.push_back(createIns(instruction, "0000/0", suma));
			}
		}
		else if (instruction == "deposit")
		{
			cin >> suma >> db >> msg;
			if (msg == "ok")
			{
				string ucet = createUcet('0');
				ucty.push_back(ucet);
				ucty_values.push_back(0);
				ints.push_back(createIns(instruction, ucet, 0));
			}
			else if (msg == "no such account")
			{
				ints.push_back(createIns(instruction, "0000/0", suma));
			}			
		}
		else if (instruction == "transfer")
		{ints.push_back(createIns(instruction, ucet, suma, ucet2));
			cin >> suma >> db >> msg;
			if (msg == "ok")
			{
				string ucet = createUcet('0');
				string ucet2 = createUcet('0');
				ucty.push_back(ucet);
				ucty.push_back(ucet2);
				ucty_values.push_back(suma);
				ucty_values.push_back(0);
				ints.push_back(createIns(instruction, ucet, suma, ucet2));				
			}
			else if (msg == "interbank")
			{
				ints.push_back(createIns(instruction, ucet, suma, ucet2));	string ucet = createUcet('0');
				string ucet2 = createUcet('1');
				ucty.push_back(ucet);
				ucty.push_back(ucet2);
				ucty_values.push_back(suma);
				ucty_values.push_back(0);
				ints.push_back(createIns(instruction, ucet, suma, ucet2));			
			}
			else if (msg == "no such account")
			{
				ints.push_back(createIns(instruction, "0000/0", suma, "0000/0"));
			}			
		
		}
		else if (instruction == "create")
		{
			cin >> db >> msg;
			if (msg == "ok")
			{
				ints.push_back(createIns(instruction, "1231/2"));
			}
			else 
			{
				ints.push_back(createIns(instruction, ucet, suma, ucet2));	ints.push_back(createIns(instruction, ucty[0]));
			}
		}
	}
	while (instruction != "end")
		
	
	

	return 0;
}